using System;
using System.IO;

namespace _2023._05._02
{
    class Program
    {
        static void Pelda1()
        {
            try
            {
                throw new System.Exception();
            }

            catch (System.Exception e)
            {
                System.Console.WriteLine(e.Message);
            }
        }

        static void Pelda2()
        {
            int oszto = 0;
            double hanyados;

            try
            {
                hanyados = 10 / oszto;
            }

            catch (ArithmeticException)
            {
                // MessageBox.Show(Convert.ToString(ar));
            }

            finally
            {
                // MessageBox.Show("A program ezen része mindenképpen lefut");
            }
        }

        static void Pelda3()
        {
            try
            {
                string szoveg = "valami szoveg";
                int szam = Convert.ToInt32(szoveg);
                System.Console.WriteLine(szam);
            }

            catch (FormatException ex)
            {
                System.Console.WriteLine($"Valami hiba történt {{0}}: {ex.Message}");
            }
        }

        static void Pelda4()
        {
            try
            {
                string szoveg = "valami szoveg";
                int szam = Convert.ToInt32(szoveg);
                System.Console.WriteLine(szam);
            }

            catch (Exception ex)
            {
                System.Console.WriteLine($"Valami hiba történt {{0}}: {ex.Message}");
                throw;
            }
        }

        static void Pelda5()
        {
            System.Console.WriteLine("Kettővel szorzunk v. 1.0");
            System.Console.WriteLine("Adjon egy egész páros számot!");

            try
            {
                var bevitel = Console.ReadLine();
                int szam = Convert.ToInt32(bevitel);

                if (szam % 2 != 0)
                {
                    throw new Exception("A szám nem páros!");
                }
                System.Console.WriteLine($"A szorzás eredménye: {szam * 2}");
            }

            catch (Exception ex)
            {
                System.Console.WriteLine("HIBA történt");
                System.Console.WriteLine(ex.Message);
            }

            finally
            {
                System.Console.WriteLine("Program vége. Nyomjon egy gombot a kilépéshez");
            }
        }

        static void Feladat()
        {
            int szamlalo_a = 0;
            int szamlalo_e = 0;
            int szamlalo_i = 0;
            int szamlalo_o = 0;
            int szamlalo_u = 0;

            using (StreamReader sr = new StreamReader(@"E:\Suli\11.b\Programozás (Tusjak Brigitta)\C#\Források\szavak.txt"))
            {
                string content = sr.ReadToEnd();

                for (int i = 0; i < content.Length; i++)
                    {
                        if(content[i] == 'a')
                        {
                            szamlalo_a++;
                        }

                        if(content[i] == 'e')
                        {
                            szamlalo_e++;
                        }

                        if(content[i] == 'i')
                        {
                            szamlalo_i++;
                        }

                        if(content[i] == 'o')
                        {
                            szamlalo_o++;
                        }

                        if(content[i] == 'u')
                        {
                            szamlalo_u++;
                        }
                    }
            }

            if (File.Exists("eredmenyek.txt"))
            {
                using (StreamWriter sw = new StreamWriter("eredmenyek.txt"))
                {
                    sw.WriteLine($"Az \"a\" karakterek száma: {szamlalo_a}");
                    sw.WriteLine($"Az \"e\" karakterek száma: {szamlalo_e}");
                    sw.WriteLine($"Az \"i\" karakterek száma: {szamlalo_i}");
                    sw.WriteLine($"Az \"o\" karakterek száma: {szamlalo_o}");
                    sw.WriteLine($"Az \"u\" karakterek száma: {szamlalo_u}");
                }

                System.Console.WriteLine("Sikeres kiírás!");
            }

            else
            {
                throw new FileNotFoundException("A fájl nem létezik te kutya!");
            }
        }
        static void Main(string[] args)
        {
            Feladat();
        }
    }
}